Upstream information

CVE-2019-1547 at MITRE

Description

Normally in OpenSSL EC groups always have a co-factor present and this is used in side channel resistant code paths. However, in some cases, it is possible to construct a group using explicit parameters (instead of using a named curve). In those cases it is possible that such a group does not have the cofactor present. This can occur even where all the parameters match a known named curve. If such a curve is used then OpenSSL falls back to non-side channel resistant code paths which may result in full key recovery during an ECDSA signature operation. In order to be vulnerable an attacker would have to have the ability to time the creation of a large number of signatures where explicit parameters with no co-factor present are in use by an application using libcrypto. For the avoidance of doubt libssl is not vulnerable because explicit parameters are never used. Fixed in OpenSSL 1.1.1d (Affected 1.1.1-1.1.1c). Fixed in OpenSSL 1.1.0l (Affected 1.1.0-1.1.0k). Fixed in OpenSSL 1.0.2t (Affected 1.0.2-1.0.2s).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 1.9
Vector AV:L/AC:M/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  SUSE
Base Score 5.5
Vector CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
Access Vector Local
Access Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact None
CVSSv3 Version 3
SUSE Bugzilla entries: 1150003 [RESOLVED / FIXED], 1154162 [RESOLVED / WONTFIX], 1161085 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
HPE-Helion-OpenStack-8-2019-2413
SUSE CaaS Platform 3.0
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
Patchnames:
SUSE-CAASP-3.0-2019-2413
SUSE Enterprise Storage 4
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-Storage-4-2019-2413
SUSE Enterprise Storage 5
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-Storage-5-2019-2413
SUSE Enterprise Storage 6
  • libopenssl1_0_0 >= 1.0.2p-3.22.1
  • openssl-1_0_0 >= 1.0.2p-3.22.1
Patchnames:
SUSE-Storage-6-2019-2561
SUSE Linux Enterprise Desktop 12 SP4
  • compat-openssl098 >= 0.9.8j-106.15.1
  • libopenssl-1_0_0-devel >= 1.0.2p-3.11.1
  • libopenssl0_9_8 >= 0.9.8j-106.15.1
  • libopenssl0_9_8-32bit >= 0.9.8j-106.15.1
  • libopenssl1_0_0 >= 1.0.2p-3.11.1
  • libopenssl1_0_0-32bit >= 1.0.2p-3.11.1
  • libopenssl1_1 >= 1.1.1d-2.20.1
  • libopenssl1_1-32bit >= 1.1.1d-2.20.1
  • openssl-1_0_0 >= 1.0.2p-3.11.1
  • openssl-1_1 >= 1.1.1d-2.20.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-2504
SUSE-SLE-DESKTOP-12-SP4-2019-2558
SUSE-SLE-DESKTOP-12-SP4-2020-99
SUSE Linux Enterprise High Performance Computing 12 SP5
  • libopenssl-1_0_0-devel >= 1.0.2p-3.11.1
  • libopenssl1_0_0 >= 1.0.2p-3.11.1
  • libopenssl1_0_0-32bit >= 1.0.2p-3.11.1
  • libopenssl1_0_0-hmac >= 1.0.2p-3.11.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2p-3.11.1
  • openssl-1_0_0 >= 1.0.2p-3.11.1
  • openssl-1_0_0-doc >= 1.0.2p-3.11.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA libopenssl-1_0_0-devel
SUSE Linux Enterprise Module for Basesystem 15
  • libopenssl-1_1-devel >= 1.1.0i-4.24.1
  • libopenssl1_1 >= 1.1.0i-4.24.1
  • libopenssl1_1-32bit >= 1.1.0i-4.24.1
  • libopenssl1_1-hmac >= 1.1.0i-4.24.1
  • libopenssl1_1-hmac-32bit >= 1.1.0i-4.24.1
  • openssl-1_1 >= 1.1.0i-4.24.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-2410
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libopenssl-1_1-devel >= 1.1.0i-14.3.1
  • libopenssl1_1 >= 1.1.0i-14.3.1
  • libopenssl1_1-32bit >= 1.1.0i-14.3.1
  • libopenssl1_1-hmac >= 1.1.0i-14.3.1
  • libopenssl1_1-hmac-32bit >= 1.1.0i-14.3.1
  • openssl-1_1 >= 1.1.0i-14.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2019-2403
SUSE Linux Enterprise Module for Legacy Software 12
  • compat-openssl098 >= 0.9.8j-106.15.1
  • libopenssl0_9_8 >= 0.9.8j-106.15.1
  • libopenssl0_9_8-32bit >= 0.9.8j-106.15.1
Patchnames:
SUSE-SLE-Module-Legacy-12-2019-2558
SUSE Linux Enterprise Module for Legacy Software 15
  • libopenssl-1_0_0-devel >= 1.0.2p-3.22.1
  • libopenssl1_0_0 >= 1.0.2p-3.22.1
  • openssl-1_0_0 >= 1.0.2p-3.22.1
Patchnames:
SUSE-SLE-Module-Legacy-15-2019-2561
SUSE Linux Enterprise Module for Legacy Software 15 SP1
  • libopenssl-1_0_0-devel >= 1.0.2p-3.22.1
  • libopenssl1_0_0 >= 1.0.2p-3.22.1
  • openssl-1_0_0 >= 1.0.2p-3.22.1
Patchnames:
SUSE-SLE-Module-Legacy-15-SP1-2019-2561
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • libopenssl-1_1-devel-32bit >= 1.1.0i-4.24.1
  • libopenssl1_0_0-hmac >= 1.0.2p-3.22.1
  • libopenssl1_0_0-steam >= 1.0.2p-3.22.1
  • openssl-1_0_0 >= 1.0.2p-3.22.1
  • openssl-1_0_0-cavs >= 1.0.2p-3.22.1
  • openssl-1_0_0-doc >= 1.0.2p-3.22.1
  • openssl-1_1 >= 1.1.0i-4.24.1
  • openssl-1_1-doc >= 1.1.0i-4.24.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-2410
SUSE-SLE-Module-Development-Tools-OBS-15-2019-2561
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • libopenssl-1_0_0-devel-32bit >= 1.0.2p-3.22.1
  • libopenssl-1_1-devel-32bit >= 1.1.0i-14.3.1
  • libopenssl1_0_0-32bit >= 1.0.2p-3.22.1
  • libopenssl1_0_0-hmac >= 1.0.2p-3.22.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2p-3.22.1
  • libopenssl1_0_0-steam >= 1.0.2p-3.22.1
  • libopenssl1_0_0-steam-32bit >= 1.0.2p-3.22.1
  • openssl-1_0_0 >= 1.0.2p-3.22.1
  • openssl-1_0_0-cavs >= 1.0.2p-3.22.1
  • openssl-1_0_0-doc >= 1.0.2p-3.22.1
  • openssl-1_1 >= 1.1.0i-14.3.1
  • openssl-1_1-doc >= 1.1.0i-14.3.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-2403
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-2561
SUSE Linux Enterprise Point of Sale 11 SP3
  • libopenssl-devel >= 0.9.8j-0.106.25.1
  • libopenssl0_9_8 >= 0.9.8j-0.106.25.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.106.25.1
  • openssl >= 0.9.8j-0.106.25.1
  • openssl-doc >= 0.9.8j-0.106.25.1
Patchnames:
sleposp3-openssl-14174
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-2413
SUSE Linux Enterprise Server 11 SP4-LTSS
  • libopenssl0_9_8 >= 0.9.8j-0.106.25.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.106.25.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.106.25.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.106.25.1
  • openssl >= 0.9.8j-0.106.25.1
  • openssl-doc >= 0.9.8j-0.106.25.1
Patchnames:
slessp4-openssl-14174
SUSE Linux Enterprise Server 11-SECURITY
  • libopenssl1-devel >= 1.0.1g-0.58.21.1
  • libopenssl1_0_0 >= 1.0.1g-0.58.21.1
  • libopenssl1_0_0-32bit >= 1.0.1g-0.58.21.1
  • libopenssl1_0_0-x86 >= 1.0.1g-0.58.21.1
  • openssl1 >= 1.0.1g-0.58.21.1
  • openssl1-doc >= 1.0.1g-0.58.21.1
Patchnames:
secsp3-openssl1-14171
SUSE Linux Enterprise Server 12 SP1-LTSS
  • libopenssl1_0_0 >= 1.0.1i-54.29.1
  • libopenssl1_0_0-32bit >= 1.0.1i-54.29.1
  • libopenssl1_0_0-hmac >= 1.0.1i-54.29.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.1i-54.29.1
  • openssl >= 1.0.1i-54.29.1
  • openssl-doc >= 1.0.1i-54.29.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-2397
SUSE Linux Enterprise Server 12 SP2-BCL
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-2413
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-2413
SUSE Linux Enterprise Server 12 SP2-LTSS
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-2413
SUSE Linux Enterprise Server 12 SP3-BCL
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2019-2413
SUSE Linux Enterprise Server 12 SP3-ESPOS
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2019-2413
SUSE Linux Enterprise Server 12 SP3-LTSS
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-2413
SUSE Linux Enterprise Server 12 SP4
  • libopenssl-1_0_0-devel >= 1.0.2p-3.11.1
  • libopenssl1_0_0 >= 1.0.2p-3.11.1
  • libopenssl1_0_0-32bit >= 1.0.2p-3.11.1
  • libopenssl1_0_0-hmac >= 1.0.2p-3.11.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2p-3.11.1
  • libopenssl1_1 >= 1.1.1d-2.20.1
  • libopenssl1_1-32bit >= 1.1.1d-2.20.1
  • openssl-1_0_0 >= 1.0.2p-3.11.1
  • openssl-1_0_0-doc >= 1.0.2p-3.11.1
  • openssl-1_1 >= 1.1.1d-2.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-2504
SUSE-SLE-SERVER-12-SP4-2020-99
SUSE Linux Enterprise Server 12 SP5
  • libopenssl-1_0_0-devel >= 1.0.2p-3.11.1
  • libopenssl1_0_0 >= 1.0.2p-3.11.1
  • libopenssl1_0_0-32bit >= 1.0.2p-3.11.1
  • libopenssl1_0_0-hmac >= 1.0.2p-3.11.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2p-3.11.1
  • libopenssl1_1 >= 1.1.1d-2.20.1
  • libopenssl1_1-32bit >= 1.1.1d-2.20.1
  • openssl-1_0_0 >= 1.0.2p-3.11.1
  • openssl-1_0_0-doc >= 1.0.2p-3.11.1
  • openssl-1_1 >= 1.1.1d-2.20.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA libopenssl-1_0_0-devel
SUSE-SLE-SERVER-12-SP5-2020-99
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • libopenssl0_9_8 >= 0.9.8j-0.106.25.1
  • libopenssl0_9_8-32bit >= 0.9.8j-0.106.25.1
  • libopenssl0_9_8-hmac >= 0.9.8j-0.106.25.1
  • libopenssl0_9_8-hmac-32bit >= 0.9.8j-0.106.25.1
  • openssl >= 0.9.8j-0.106.25.1
  • openssl-doc >= 0.9.8j-0.106.25.1
Patchnames:
slessp4-openssl-14174
SUSE Linux Enterprise Server for SAP Applications 11-SECURITY
  • libopenssl1-devel >= 1.0.1g-0.58.21.1
  • libopenssl1_0_0 >= 1.0.1g-0.58.21.1
  • libopenssl1_0_0-32bit >= 1.0.1g-0.58.21.1
  • libopenssl1_0_0-x86 >= 1.0.1g-0.58.21.1
  • openssl1 >= 1.0.1g-0.58.21.1
  • openssl1-doc >= 1.0.1g-0.58.21.1
Patchnames:
secsp3-openssl1-14171
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • compat-openssl098 >= 0.9.8j-106.15.1
  • libopenssl0_9_8 >= 0.9.8j-106.15.1
  • libopenssl1_0_0 >= 1.0.1i-54.29.1
  • libopenssl1_0_0-32bit >= 1.0.1i-54.29.1
  • libopenssl1_0_0-hmac >= 1.0.1i-54.29.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.1i-54.29.1
  • openssl >= 1.0.1i-54.29.1
  • openssl-doc >= 1.0.1i-54.29.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-2397
SUSE-SLE-SAP-12-SP1-2019-2558
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • libopenssl1_0_0 >= 1.0.1i-54.29.1
  • libopenssl1_0_0-32bit >= 1.0.1i-54.29.1
  • libopenssl1_0_0-hmac >= 1.0.1i-54.29.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.1i-54.29.1
  • openssl >= 1.0.1i-54.29.1
  • openssl-doc >= 1.0.1i-54.29.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-2397
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • compat-openssl098 >= 0.9.8j-106.15.1
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl0_9_8 >= 0.9.8j-106.15.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-2413
SUSE-SLE-SAP-12-SP2-2019-2558
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-2413
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-2413
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-2413
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • compat-openssl098 >= 0.9.8j-106.15.1
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl0_9_8 >= 0.9.8j-106.15.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2019-2413
SUSE-SLE-SAP-12-SP3-2019-2558
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2019-2413
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2019-2413
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-2413
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • compat-openssl098 >= 0.9.8j-106.15.1
  • libopenssl-1_0_0-devel >= 1.0.2p-3.11.1
  • libopenssl0_9_8 >= 0.9.8j-106.15.1
  • libopenssl1_0_0 >= 1.0.2p-3.11.1
  • libopenssl1_0_0-32bit >= 1.0.2p-3.11.1
  • libopenssl1_0_0-hmac >= 1.0.2p-3.11.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2p-3.11.1
  • libopenssl1_1 >= 1.1.1d-2.20.1
  • libopenssl1_1-32bit >= 1.1.1d-2.20.1
  • openssl-1_0_0 >= 1.0.2p-3.11.1
  • openssl-1_0_0-doc >= 1.0.2p-3.11.1
  • openssl-1_1 >= 1.1.1d-2.20.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2019-2558
SUSE-SLE-SERVER-12-SP4-2019-2504
SUSE-SLE-SERVER-12-SP4-2020-99
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libopenssl1_1 >= 1.1.1d-2.20.1
  • libopenssl1_1-32bit >= 1.1.1d-2.20.1
  • openssl-1_1 >= 1.1.1d-2.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-99
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libopenssl-1_0_0-devel >= 1.0.2p-3.11.1
  • libopenssl-1_1-devel >= 1.1.1d-2.20.1
  • libopenssl-1_1-devel-32bit >= 1.1.1d-2.20.1
  • openssl-1_0_0 >= 1.0.2p-3.11.1
  • openssl-1_1 >= 1.1.1d-2.20.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-2504
SUSE-SLE-SDK-12-SP4-2020-99
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libopenssl-1_0_0-devel >= 1.0.2p-3.11.1
  • libopenssl-1_1-devel >= 1.1.1d-2.20.1
  • libopenssl-1_1-devel-32bit >= 1.1.1d-2.20.1
  • openssl-1_1 >= 1.1.1d-2.20.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libopenssl-1_0_0-devel
SUSE-SLE-SDK-12-SP5-2020-99
SUSE OpenStack Cloud 7
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-2413
SUSE OpenStack Cloud 8
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-OpenStack-Cloud-8-2019-2413
SUSE OpenStack Cloud Crowbar 8
  • libopenssl-devel >= 1.0.2j-60.55.1
  • libopenssl1_0_0 >= 1.0.2j-60.55.1
  • libopenssl1_0_0-32bit >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac >= 1.0.2j-60.55.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2j-60.55.1
  • openssl >= 1.0.2j-60.55.1
  • openssl-doc >= 1.0.2j-60.55.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2019-2413
openSUSE Leap 15.0
  • libopenssl-1_0_0-devel >= 1.0.2p-lp150.2.19.1
  • libopenssl-1_0_0-devel-32bit >= 1.0.2p-lp150.2.19.1
  • libopenssl-1_1-devel >= 1.1.0i-lp150.3.25.1
  • libopenssl-1_1-devel-32bit >= 1.1.0i-lp150.3.25.1
  • libopenssl1_0_0 >= 1.0.2p-lp150.2.19.1
  • libopenssl1_0_0-32bit >= 1.0.2p-lp150.2.19.1
  • libopenssl1_0_0-32bit-debuginfo >= 1.0.2p-lp150.2.19.1
  • libopenssl1_0_0-debuginfo >= 1.0.2p-lp150.2.19.1
  • libopenssl1_0_0-hmac >= 1.0.2p-lp150.2.19.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2p-lp150.2.19.1
  • libopenssl1_0_0-steam >= 1.0.2p-lp150.2.19.1
  • libopenssl1_0_0-steam-32bit >= 1.0.2p-lp150.2.19.1
  • libopenssl1_0_0-steam-32bit-debuginfo >= 1.0.2p-lp150.2.19.1
  • libopenssl1_0_0-steam-debuginfo >= 1.0.2p-lp150.2.19.1
  • libopenssl1_1 >= 1.1.0i-lp150.3.25.1
  • libopenssl1_1-32bit >= 1.1.0i-lp150.3.25.1
  • libopenssl1_1-32bit-debuginfo >= 1.1.0i-lp150.3.25.1
  • libopenssl1_1-debuginfo >= 1.1.0i-lp150.3.25.1
  • libopenssl1_1-hmac >= 1.1.0i-lp150.3.25.1
  • libopenssl1_1-hmac-32bit >= 1.1.0i-lp150.3.25.1
  • openssl-1_0_0 >= 1.0.2p-lp150.2.19.1
  • openssl-1_0_0-cavs >= 1.0.2p-lp150.2.19.1
  • openssl-1_0_0-cavs-debuginfo >= 1.0.2p-lp150.2.19.1
  • openssl-1_0_0-debuginfo >= 1.0.2p-lp150.2.19.1
  • openssl-1_0_0-debugsource >= 1.0.2p-lp150.2.19.1
  • openssl-1_0_0-doc >= 1.0.2p-lp150.2.19.1
  • openssl-1_1 >= 1.1.0i-lp150.3.25.1
  • openssl-1_1-debuginfo >= 1.1.0i-lp150.3.25.1
  • openssl-1_1-debugsource >= 1.1.0i-lp150.3.25.1
  • openssl-1_1-doc >= 1.1.0i-lp150.3.25.1
Patchnames:
openSUSE-2019-2189
openSUSE-2019-2268
openSUSE Leap 15.1
  • libopenssl-1_0_0-devel >= 1.0.2p-lp151.5.10.1
  • libopenssl-1_0_0-devel-32bit >= 1.0.2p-lp151.5.10.1
  • libopenssl-1_1-devel >= 1.1.0i-lp151.8.3.1
  • libopenssl-1_1-devel-32bit >= 1.1.0i-lp151.8.3.1
  • libopenssl1_0_0 >= 1.0.2p-lp151.5.10.1
  • libopenssl1_0_0-32bit >= 1.0.2p-lp151.5.10.1
  • libopenssl1_0_0-32bit-debuginfo >= 1.0.2p-lp151.5.10.1
  • libopenssl1_0_0-debuginfo >= 1.0.2p-lp151.5.10.1
  • libopenssl1_0_0-hmac >= 1.0.2p-lp151.5.10.1
  • libopenssl1_0_0-hmac-32bit >= 1.0.2p-lp151.5.10.1
  • libopenssl1_0_0-steam >= 1.0.2p-lp151.5.10.1
  • libopenssl1_0_0-steam-32bit >= 1.0.2p-lp151.5.10.1
  • libopenssl1_0_0-steam-32bit-debuginfo >= 1.0.2p-lp151.5.10.1
  • libopenssl1_0_0-steam-debuginfo >= 1.0.2p-lp151.5.10.1
  • libopenssl1_1 >= 1.1.0i-lp151.8.3.1
  • libopenssl1_1-32bit >= 1.1.0i-lp151.8.3.1
  • libopenssl1_1-32bit-debuginfo >= 1.1.0i-lp151.8.3.1
  • libopenssl1_1-debuginfo >= 1.1.0i-lp151.8.3.1
  • libopenssl1_1-hmac >= 1.1.0i-lp151.8.3.1
  • libopenssl1_1-hmac-32bit >= 1.1.0i-lp151.8.3.1
  • openssl-1_0_0 >= 1.0.2p-lp151.5.10.1
  • openssl-1_0_0-cavs >= 1.0.2p-lp151.5.10.1
  • openssl-1_0_0-cavs-debuginfo >= 1.0.2p-lp151.5.10.1
  • openssl-1_0_0-debuginfo >= 1.0.2p-lp151.5.10.1
  • openssl-1_0_0-debugsource >= 1.0.2p-lp151.5.10.1
  • openssl-1_0_0-doc >= 1.0.2p-lp151.5.10.1
  • openssl-1_1 >= 1.1.0i-lp151.8.3.1
  • openssl-1_1-debuginfo >= 1.1.0i-lp151.8.3.1
  • openssl-1_1-debugsource >= 1.1.0i-lp151.8.3.1
  • openssl-1_1-doc >= 1.1.0i-lp151.8.3.1
Patchnames:
openSUSE-2019-2158
openSUSE-2019-2269


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 openssl Affected
CaaS Platform 2.0 openssl Affected
CaaS Platform 3.0 openssl Released
OpenStack Cloud Magnum Orchestration 7.0 openssl Affected
SUSE Business Critical Linux 12 SP2 openssl Released
SUSE Linux Enterprise 10 SP2 openssl Affected
SUSE Linux Enterprise Desktop 10 SP3 compat-openssl097g Not affected
SUSE Linux Enterprise Desktop 10 SP3 openssl Released
SUSE Linux Enterprise Desktop 10 SP4 compat-openssl097g Not affected
SUSE Linux Enterprise Desktop 10 SP4 openssl Unsupported
SUSE Linux Enterprise Desktop 11 GA compat-openssl097g Not affected
SUSE Linux Enterprise Desktop 11 GA openssl Unsupported
SUSE Linux Enterprise Desktop 11 SP1 compat-openssl097g Not affected
SUSE Linux Enterprise Desktop 11 SP1 openssl Affected
SUSE Linux Enterprise Desktop 11 SP2 compat-openssl097g Not affected
SUSE Linux Enterprise Desktop 11 SP2 openssl Affected
SUSE Linux Enterprise Desktop 11 SP3 compat-openssl097g Not affected
SUSE Linux Enterprise Desktop 11 SP3 openssl Affected
SUSE Linux Enterprise Desktop 11 SP4 compat-openssl097g Not affected
SUSE Linux Enterprise Desktop 11 SP4 openssl Affected
SUSE Linux Enterprise Desktop 12 GA compat-openssl098 Affected
SUSE Linux Enterprise Desktop 12 GA openssl Unsupported
SUSE Linux Enterprise Desktop 12 SP1 compat-openssl098 Affected
SUSE Linux Enterprise Desktop 12 SP1 openssl Affected
SUSE Linux Enterprise Desktop 12 SP2 compat-openssl098 Affected
SUSE Linux Enterprise Desktop 12 SP2 openssl Affected
SUSE Linux Enterprise Desktop 12 SP3 compat-openssl098 Affected
SUSE Linux Enterprise Desktop 12 SP3 openssl Affected
SUSE Linux Enterprise Desktop 12 SP4 compat-openssl098 Released
SUSE Linux Enterprise Desktop 12 SP4 openssl Not affected
SUSE Linux Enterprise Desktop 12 SP4 openssl-1_0_0 Released
SUSE Linux Enterprise Desktop 12 SP4 openssl-1_1 Released
SUSE Linux Enterprise High Performance Computing 12 openssl Not affected
SUSE Linux Enterprise High Performance Computing 12 openssl-1_0_0 Released
SUSE Linux Enterprise High Performance Computing 12 openssl-1_1 Released
SUSE Linux Enterprise Module for Basesystem 15 GA openssl Not affected
SUSE Linux Enterprise Module for Basesystem 15 GA openssl-1_1 Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 openssl Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 openssl-1_1 Released
SUSE Linux Enterprise Module for Legacy Software 12 compat-openssl098 Released
SUSE Linux Enterprise Module for Legacy Software 15 openssl-1_0_0 Released
SUSE Linux Enterprise SDK 11 GA openssl Unsupported
SUSE Linux Enterprise SDK 11 SP1 openssl Affected
SUSE Linux Enterprise SDK 11 SP2 openssl Affected
SUSE Linux Enterprise SDK 11 SP3 openssl Affected
SUSE Linux Enterprise SDK 11 SP4 openssl Affected
SUSE Linux Enterprise SDK 12 GA openssl Unsupported
SUSE Linux Enterprise SDK 12 SP1 openssl Affected
SUSE Linux Enterprise SDK 12 SP2 openssl Affected
SUSE Linux Enterprise SDK 12 SP3 openssl Affected
SUSE Linux Enterprise SDK 12 SP4 openssl Not affected
SUSE Linux Enterprise SDK 12 SP4 openssl-1_0_0 Released
SUSE Linux Enterprise SDK 12 SP4 openssl-1_1 Released
SUSE Linux Enterprise SDK 12 SP5 openssl-1_1 Released
SUSE Linux Enterprise Server 10 SP3 compat-openssl097g Not affected
SUSE Linux Enterprise Server 10 SP3 openssl Released
SUSE Linux Enterprise Server 10 SP4 compat-openssl097g Not affected
SUSE Linux Enterprise Server 10 SP4 openssl Unsupported
SUSE Linux Enterprise Server 10 SP4 LTSS compat-openssl097g Not affected
SUSE Linux Enterprise Server 10 SP4 LTSS openssl Unsupported
SUSE Linux Enterprise Server 11 GA openssl Unsupported
SUSE Linux Enterprise Server 11 SP1 openssl Affected
SUSE Linux Enterprise Server 11 SP1 LTSS openssl Affected
SUSE Linux Enterprise Server 11 SP2 openssl Affected
SUSE Linux Enterprise Server 11 SP2 LTSS openssl Affected
SUSE Linux Enterprise Server 11 SP3 openssl Affected
SUSE Linux Enterprise Server 11 SP3 LTSS openssl Affected
SUSE Linux Enterprise Server 11 SP4 openssl Affected
SUSE Linux Enterprise Server 11 SP4 LTSS openssl Released
SUSE Linux Enterprise Server 11-SECURITY openssl1 Released
SUSE Linux Enterprise Server 12 GA openssl Unsupported
SUSE Linux Enterprise Server 12 GA LTSS openssl Unsupported
SUSE Linux Enterprise Server 12 SP1 openssl Affected
SUSE Linux Enterprise Server 12 SP1 LTSS openssl Released
SUSE Linux Enterprise Server 12 SP2 openssl Affected
SUSE Linux Enterprise Server 12 SP2 LTSS openssl Released
SUSE Linux Enterprise Server 12 SP2 for Raspberry PI openssl Affected
SUSE Linux Enterprise Server 12 SP3 openssl Affected
SUSE Linux Enterprise Server 12 SP3 LTSS openssl Released
SUSE Linux Enterprise Server 12 SP4 openssl Not affected
SUSE Linux Enterprise Server 12 SP4 openssl-1_0_0 Released
SUSE Linux Enterprise Server 12 SP4 openssl-1_1 Released
SUSE Linux Enterprise Server 12 SP5 openssl-1_1 Released
SUSE Linux Enterprise Server for SAP AIO 11 SP1 compat-openssl097g Not affected
SUSE Linux Enterprise Server for SAP AIO 11 SP1 openssl Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 compat-openssl097g Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 openssl Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 compat-openssl097g Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 openssl Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 compat-openssl097g Not affected
SUSE Linux Enterprise Server for SAP Applications 12 GA openssl Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP1 compat-openssl098 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 compat-openssl098 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 openssl Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 compat-openssl098 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 openssl Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 compat-openssl098 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openssl Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openssl-1_0_0 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openssl-1_1 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openssl-1_1 Released
SUSE Linux Enterprise Server for SAP ES 11 SP1 compat-openssl097g Not affected
SUSE Linux Enterprise Server for SAP ES 11 SP1 openssl Affected
SUSE Linux Enterprise Server for VMWare 11 SP2 openssl Affected
SUSE Linux Enterprise Server for VMWare 11 SP3 openssl Affected
SUSE Linux Enterprise Tools for SUSE Manager 10 SP3 openssl Affected
SUSE Storage 6 openssl-1_0_0 Released
SUSE Studio Onsite 1.3 openssl Affected